Emergency Bulletin: Firefox Security Problem

Thanks to Wordfence, the makers of the security plugin we use on our websites, we have been alerted to a severe security vulnerability in Firefox.

From the Wordfence website:

“If you use Firefox, we recommend you temporarily switch browsers to Chrome, Safari or a non-firefox based browser that is secure until the Firefox dev team can release an update. The vulnerability allows an attacker to execute code on your Windows workstation. The exploit is in the wild, meaning it’s now public and every hacker on the planet has access to it. There is no fix at the time of this writing.”

You can read more here:
Emergency Bulletin: Firefox 0 day in the wild. What to do.